# 地物生成

### 地面地物

如下图所示的即为地面地物，它们在地面上生成：

![这是一个地物](https://1341925849-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M28TcKgSDvuFN510qye-887967055%2Fuploads%2F3PWqiVlDCzuT10MExbD8%2Fdesert_rose.png?alt=media\&token=b58005bd-d40f-418d-b89f-8cd5bc16e5f6)

在任意物品配置文件下添加如下内容：

```
surface_decorators:
  rose:
    block: rose
    bottom_blocks:
    - DIRT
    - GRASS_BLOCK
    biomes:
    - PLAINS
    - SUNFLOWER_PLAINS
    - RIVER
    - MOUNTAINS
    - MOUNTAIN_EDGE
    - BIRCH_FOREST
    - BIRCH_FOREST_HILLS
    - TALL_BIRCH_FOREST
    - TALL_BIRCH_HILLS
    worlds:
      - world
    chance: 10
    max_height: 255 
    min_height: 0
    amount: 1
```

由于其中大部分选项前面两节都已介绍，这里只说明 `block` 选项即为地物的方块id。

如下图所示为洞穴 地物，它们的洞穴内生成：

![这是一个洞穴地物](https://1341925849-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M28TcKgSDvuFN510qye-887967055%2Fuploads%2FfU0KtDApSkCgkUYKcBgm%2Fimage.png?alt=media\&token=41526cbc-3e64-431c-be50-ea7a01c25f8a)

在任意物品配置文件中添加如下内容：

```
cave_decorators:
  small_rocks:
    block: small_rocks
    bottom_blocks:
    - DIRT
    - GRASS_BLOCK
    - STONE
    - COBBLESTONE
    - MOSSY_COBBLESTONE
    biomes:
    - PLAINS
    - SUNFLOWER_PLAINS
    - RIVER
    - MOUNTAINS
    - MOUNTAIN_EDGE
    - BIRCH_FOREST
    - BIRCH_FOREST_HILLS
    - TALL_BIRCH_FOREST
    - TALL_BIRCH_HILLS
    worlds:
      - world
    chance: 100
    max_height: 255 
    min_height: 0
    amount: 4
    position: SURFACE
```

这里只介绍 `position` 选项，它的作用是指定这个地物在洞穴天花板还是地上，如果是天花板，填写 `CEILING`，如果是地上，填写 `SURFACE`。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/itemsadder-doc/fang-kuai/di-wu-sheng-cheng.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
